Subject: Re: linux-next: build failure after merge of the drm-misc tree

From: Christian König <[email-masked]>
Date: Mon, 7 Jun 2021 08:39:02 +0200

Ah, yes. I've forgot to include the infiniband subdir in the automated 
rename. I should have done that treewide.

Going to provide a fix in a minute, sorry for the noise.

Christian.

Am 07.06.21 um 04:33 schrieb Stephen Rothwell:
> Hi all,
>
> After merging the drm-misc tree, today's linux-next build (powerpc
> ppc64_defconfig) failed like this:
>
> drivers/infiniband/core/umem_dmabuf.c: In function 'ib_umem_dmabuf_map_pages':
> drivers/infiniband/core/umem_dmabuf.c:69:10: error: implicit declaration of function 'dma_resv_get_excl'; did you mean 'dma_resv_get_fences'? [-Werror=implicit-function-declaration]
>     69 |  fence = dma_resv_get_excl(umem_dmabuf->attach->dmabuf->resv);
>        |          ^~~~~~~~~~~~~~~~~
>        |          dma_resv_get_fences
> drivers/infiniband/core/umem_dmabuf.c:69:8: warning: assignment to 'struct dma_fence *' from 'int' makes pointer from integer without a cast [-Wint-conversion]
>     69 |  fence = dma_resv_get_excl(umem_dmabuf->attach->dmabuf->resv);
>        |        ^
>
> Caused by commit
>
>    6edbd6abb783 ("dma-buf: rename and cleanup dma_resv_get_excl v3")
>
> I have used the drm-misc tree from next-20210604 for today.
>